Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        TextBox1.Font = New System.Drawing.Font("楷体_GB2312", 18)  ' 设置初始字体、字号
        RadioButton2.Checked = True  ' 选中与楷体对应的选项按钮
        RadioButton7.Checked = True  ' 选中与字号20对应的选项按钮
    End Sub


    Private Sub RadioButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.Click
        TextBox1.Font = New System.Drawing.Font("宋体", TextBox1.Font.Size)  ' 设置初始字体
    End Sub

    Private Sub RadioButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.Click
        TextBox1.Font = New System.Drawing.Font("楷体_GB2312", TextBox1.Font.Size)  ' 设置初始字体
    End Sub

    Private Sub RadioButton3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.Click
        TextBox1.Font = New System.Drawing.Font("黑体", TextBox1.Font.Size)  ' 设置初始字体
    End Sub

    Private Sub RadioButton4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton4.Click
        TextBox1.Font = New System.Drawing.Font("隶书", TextBox1.Font.Size)  ' 设置初始字体
    End Sub

    Private Sub RadioButton5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton5.Click
        TextBox1.Font = New System.Drawing.Font(TextBox1.Font.Name, RadioButton5.Text)  ' 设置字号
        '或者TextBox1.Font = New System.Drawing.Font(TextBox1.Font.Name, 14)
    End Sub

    Private Sub RadioButton6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton6.Click
        TextBox1.Font = New System.Drawing.Font(TextBox1.Font.Name, RadioButton6.Text)  ' 设置字号
    End Sub

    Private Sub RadioButton7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton7.Click
        TextBox1.Font = New System.Drawing.Font(TextBox1.Font.Name, RadioButton7.Text)  ' 设置字号
    End Sub

    Private Sub RadioButton8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton8.Click
        TextBox1.Font = New System.Drawing.Font(TextBox1.Font.Name, RadioButton8.Text)  ' 设置字号
    End Sub
End Class
